program main
  use sep
  implicit none
  real, allocatable, dimension(:,:,:) :: vel
  integer :: nz, nx, ny, iz
  call initpar()

  nx = 151; ny = 151; nz=10

  allocate(vel(nx, ny, nz))

  do iz=1, nz
     vel(:, :, iz) = iz*1000
  end do

  write(0,*)ceiling(2.9/2.9)
  

  call to_history("n1", nx)
  call to_history("n2", ny)
  call to_history("n3", nz)

  !call sep_write(vel)

end program
